Bug 225615 - ports-mgmt/portlint: USES=pyqt:5 should require USE_PYQT=xxx
Summary: ports-mgmt/portlint: USES=pyqt:5 should require USE_PYQT=xxx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-01 22:00 UTC by Yuri Victorovich
Modified: 2018-02-18 21:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-02-01 22:00:59 UTC

    
Comment 1 commit-hook freebsd_committer 2018-02-18 21:06:22 UTC
A commit references this bug:

Author: marcus
Date: Sun Feb 18 21:05:33 UTC 2018
New revision: 462265
URL: https://svnweb.freebsd.org/changeset/ports/462265

Log:
  Update to 2.17.16

  * Check for USE_PYQT when USES=pyqt:5 is defined [1]
  * Avoid more bogus direct command use warnings.  Also try and fix some line numbers [2]
  * Check for over-verbose use of magic MASTER_SITES_SUBDIRS [3]
  * Do not complain about missing Created by: [4]
  * Avoid checking direct command usage in embedded comments [5]

  PR:		225615 [1]
  		225612 [2]
  		225503 [3]
  		225781 [5]
  Reported by:	Jason Bacon <bacon4000@gmail.com> [4]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 2 Joe Marcus Clarke freebsd_committer 2018-02-18 21:07:07 UTC
Check added in 2.17.16.